Disables a managed account
Disables a managed account, forbidding it to use Telnyx services, including sending or receiving phone calls and SMS messages. Ongoing phone calls will not be affected. The managed account and its sub-users will no longer be able to log in via the mission control portal.
POST
/
managed_accounts
/
{id}
/
actions
/
disable
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.managedAccounts.actions.disable('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.managed_accounts.actions.disable(
"id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.ManagedAccounts.Actions.Disable(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.managedaccounts.actions.ActionDisableParams;
import com.telnyx.sdk.models.managedaccounts.actions.ActionDisableResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionDisableResponse response = client.managedAccounts().actions().disable("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.managed_accounts.actions.disable("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->managedAccounts->actions->disable('id');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx managed-accounts:actions disable \
--api-key 'My API Key' \
--id idcurl --request POST \
--url https://api.telnyx.com/v2/managed_accounts/{id}/actions/disable \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "managed_account",
"id": "f65ceda4-6522-4ad6-aede-98de83385123",
"email": "user@example.com",
"api_key": "KEY01236170692E74656C6E79782E636F6D_YmlnIGlyb24gaXMgZGVhZA",
"api_user": "managed_account@example.com",
"api_token": "x6oexQNHTs-fZ7-QsDMOeg",
"manager_account_id": "f65ceda4-6522-4ad6-aede-98de83385123",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"organization_name": "Example Company LLC",
"balance": {
"record_type": "balance",
"balance": "300.00",
"credit_limit": "100.00",
"available_credit": "400.00",
"currency": "USD"
},
"managed_account_allow_custom_pricing": true,
"rollup_billing": false
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Managed Account User ID
Response
Successful response with information about a single managed account.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.managedAccounts.actions.disable('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.managed_accounts.actions.disable(
"id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.ManagedAccounts.Actions.Disable(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.managedaccounts.actions.ActionDisableParams;
import com.telnyx.sdk.models.managedaccounts.actions.ActionDisableResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionDisableResponse response = client.managedAccounts().actions().disable("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.managed_accounts.actions.disable("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->managedAccounts->actions->disable('id');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx managed-accounts:actions disable \
--api-key 'My API Key' \
--id idcurl --request POST \
--url https://api.telnyx.com/v2/managed_accounts/{id}/actions/disable \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "managed_account",
"id": "f65ceda4-6522-4ad6-aede-98de83385123",
"email": "user@example.com",
"api_key": "KEY01236170692E74656C6E79782E636F6D_YmlnIGlyb24gaXMgZGVhZA",
"api_user": "managed_account@example.com",
"api_token": "x6oexQNHTs-fZ7-QsDMOeg",
"manager_account_id": "f65ceda4-6522-4ad6-aede-98de83385123",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"organization_name": "Example Company LLC",
"balance": {
"record_type": "balance",
"balance": "300.00",
"credit_limit": "100.00",
"available_credit": "400.00",
"currency": "USD"
},
"managed_account_allow_custom_pricing": true,
"rollup_billing": false
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}